<?php

  $title="Alat dan Mesin Pertanian";

//   $judul=$title;

  $url='alsintan';

  // if ($session->get('level')!='Admin'){

  // 	$session->set("info",'<div class="alert alert-danger alert-dismissible">

  //       <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

  //       <h4><i class="icon fa fa-ban"></i> Error!</h4> Akses Administrator untuk melihat data

  //     </div>');

  // 	redirect(url('login'));

  // }



if(isset($_POST['simpan'])){

	

	// cek validasi

	$validation=null;



	//tidak boleh kosong

	if($_POST['kecamatan']==''){

		$validation[]='Pilih Kecamatan';

	}

	if($_POST['nama_desa']==''){

		$validation[]='Pilih Desa';

	}

	if($_POST['nama_kelompok']==''){

		$validation[]='Nama Kelompok Tidak Boleh Kosong';

	}

	if($_POST['alsintan']==''){

		$validation[]='Alsintan Tidak Boleh Kosong';

	}

	if($_POST['jumlah_unit']==''){

		$validation[]='Jumlah unit Alsintan Tidak Boleh Kosong';

	}

	if($_POST['tahun']==''){

		$validation[]='Tahun Pemberian Alsintan Tidak Boleh Kosong';

	}

	

	if($validation!=null){

		$setTemplate=false;

		$session->set('error_validation',$validation);

		$session->set('error_value',$_POST);

		redirect($_SERVER['HTTP_REFERER']);

		return false;

	}

	// cek validasi





	if($_POST['id']==""){

		$data['kecamatan']=$_POST['kecamatan'];

		$data['desa']=$_POST['desa'];

		$data['nama_kelompok']=$_POST['nama_kelompok'];

		$data['nama_ketua']=$_POST['nama_ketua'];

		$data['alsintan']=$_POST['alsintan'];

		$data['jumlah_unit']=$_POST['jumlah_unit'];

		$data['tahun']=$_POST['tahun'];

		$data['keterangan']=$_POST['keterangan'];

		

		$exec=$db->insert("alsintan",$data);

		$info='<div class="alert alert-success alert-dismissible">

                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

                <h4><i class="icon fa fa-ban"></i> Sukses!</h4> Data Sukses Ditambah </div>';

		

	}

	else{

		$data['kecamatan']=$_POST['kecamatan'];

		$data['desa']=$_POST['desa'];

		$data['nama_kelompok']=$_POST['nama_kelompok'];

		$data['nama_ketua']=$_POST['nama_ketua'];

		$data['alsintan']=$_POST['alsintan'];

		$data['jumlah_unit']=$_POST['jumlah_unit'];

		$data['tahun']=$_POST['tahun'];

		$data['keterangan']=$_POST['keterangan'];

		$db->where('id',$_POST['id']);

		$exec=$db->update("alsintan",$data);



		$info='<div class="alert alert-success alert-dismissible">

                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

                <h4><i class="icon fa fa-ban"></i> Sukses!</h4> Data Sukses diubah </div>';

	 	}



		if($exec){

			$session->set('info',$info);

		}

		else{

	      $session->set("info",'<div class="alert alert-danger alert-dismissible">

	                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

	                <h4><i class="icon fa fa-ban"></i> Error!</h4> Proses gagal dilakukan <br>'.$db->getLastError().'

	              </div>');



		}

		redirect(url($url));

}



if(isset($_GET['hapus'])){

	$setTemplate=false;

	

	$db->where("id",$_GET['id']);

	$exec=$db->delete("alsintan");

	$info='<div class="alert alert-success alert-dismissible">

            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

            <h4><i class="icon fa fa-ban"></i> Sukses!</h4> Data Sukses dihapus </div>';

	if($exec){

		$session->set('info',$info);

	}

	else{

      $session->set("info",'<div class="alert alert-danger alert-dismissible">

                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>

                <h4><i class="icon fa fa-ban"></i> Error!</h4> Proses gagal dilakukan

              </div>');

	}

	redirect(url($url));

}



elseif(isset($_GET['tambah']) OR isset($_GET['ubah'])){

  $id="";

  $kecamatan="";

  $desa="";

  $nama_kelompok="";

  $nama_ketua="";

  $alsintan="";

  $jumlah_unit="";

  $tahun="";

  $keterangan="";

  if(isset($_GET['ubah']) AND isset($_GET['id'])){

  	$id=$_GET['id'];

  	$db->where('id',$id);

		$row=$db->ObjectBuilder()->getOne('alsintan');



		if($db->count>0){

			$id=$row->id;

			$kecamatan=$row->kecamatan;

			$desa=$row->desa;

			$nama_kelompok=$row->nama_kelompok;

			$nama_ketua=$row->nama_ketua;

			$alsintan=$row->alsintan;

			$jumlah_unit=$row->jumlah_unit;

			$tahun=$row->tahun;

			$keterangan=$row->keterangan;

		}

  }

  // value ketika validasi

  if($session->get('error_value')){

  	extract($session->pull('error_value'));

  }

?>

<?=content_open('Form Alat dan Mesin Pertanian')?>

    <form method="post" enctype="multipart/form-data">

    	<?php

    		// menampilkan error validasi

  			if($session->get('error_validation')){

  				foreach ($session->pull('error_validation') as $key => $value) {

  					echo '<div class="alert alert-danger">'.$value.'</div>';

  				}

  			}

    	?>

    	<?=input_hidden('id',$id)?>

    	<div class="form-group">

    		<label>Nama Kecamatan</label>

    		<div class="row">

	    		<div class="col-md-4">

	    			<?php

	    				if ($session->get('level')=='Admin'){

		    				$op['']='Pilih Kecamatan';

	              $getdata=$db->ObjectBuilder()->get('m_kecamatan');

		    				foreach ($getdata as $row) {

		    					$op[$row->kecamatan]=$row->kecamatan;

		    				}

		    			}elseif ($session->get('level')=='Kecamatan') {

		    				$op['']='Pilih Kecamatan';

		    				$db->where("kecamatan",$session->get('lokasi'));

		    				$getdata=$db->ObjectBuilder()->getOne('m_kecamatan');

		    				$op[$getdata->kecamatan]=$getdata->kecamatan;

		    			}

	    			?>

	    			<?=select('kecamatan',$op,$kecamatan)?>

	    		</div>

    		</div>

			</div>



			<div class="form-group">

    		<label>Nama Desa</label>

    		<div class="row">

	    		<div class="col-md-5">

	    			<?php

	    				if ($session->get('level')=='Admin'){

		    				$opt['']='Pilih Desa';

		    				$db->orderBy("kecamatan,nama_desa","asc");

	              $getdata=$db->ObjectBuilder()->get('m_desa');

		    				foreach ($getdata as $row) {

		    					$opt[$row->nama_desa]=$row->nama_desa;

		    				}

		    			}elseif ($session->get('level')=='Kecamatan') {

		    				$opt['']='Pilih Desa';

		    				$db->where("kecamatan",$session->get('lokasi'));

		    				$db->orderBy("nama_desa","asc");

		    				$getdata=$db->ObjectBuilder()->get('m_desa');

		    				foreach ($getdata as $row) {

		    					$opt[$row->nama_desa]=$row->nama_desa;

		    				}

		    			}

	    			?>

	    			<?=select('desa',$opt,$desa)?>

	    		</div>

    		</div>

			</div>



    	<div class="form-group">

    		<label>Nama Kelompok</label>

    		<div class="row">

	    		<div class="col-md-4">

	    			<?=input_text('nama_kelompok',$nama_kelompok)?>

		    	</div>

	    	</div>

    	</div>

    	<div class="form-group">

    		<label>Nama Ketua</label>

    		<div class="row">

	    		<div class="col-md-4">

	    			<?=input_text('nama_ketua',$nama_ketua)?>

	    		</div>

    		</div>

    	</div>

    	<div class="form-group">

    		<label>Alsintan</label>

    		<div class="row">

	    		<div class="col-md-3">

	    			<?=input_text('alsintan',$alsintan)?>

	    		</div>

    		</div>

    	</div>

    	<div class="form-group">

    		<label>Jumlah Unit</label>

    		<div class="row">

	    		<div class="col-md-2">

	    			<?=input_number('jumlah_unit',$jumlah_unit)?>

	    		</div>

    		</div>

    	</div>

    	<div class="form-group">

    		<label>Tahun</label>

    		<div class="row">

	    		<div class="col-md-2">

	    			<?=input_number('tahun',$tahun)?>

	    		</div>

    		</div>

    	</div>

    	<div class="form-group">

    		<label>Keterangan</label>

    		<div class="row">

	    		<div class="col-md-5">

	    			<?=input_text('keterangan',$keterangan)?>

	    		</div>

    		</div>

    	</div>    	    	

    	<div class="form-group">

    		<button type="submit" name="simpan" class="btn btn-info"><i class="fa fa-save"></i> Simpan</button>

			<a href="<?=url($url)?>" class="btn btn-danger" ><i class="fa fa-reply"></i> Kembali</a>

    	</div>

    </form>

<?=content_close()?>



<?php  } else { ?>

<?=content_open('Data Alat dan Mesin Pertanian')?>



<?php if ($session->get('level')=='Admin' OR $session->get('level')=='Kecamatan'){ ?>

<a href="<?=url($url.'&tambah')?>" class="btn btn-success" ><i class="fa fa-plus"></i> Tambah</a>

<?php }?>



<hr>

<?=$session->pull("info")?>



<table class="table table-bordered">

	<thead>

		<tr>

			<th>No</th>

			<th>Kecamatan</th>

			<th>Desa</th>

			<th>Nama Kelompok</th>

			<th>Nama Ketua</th>

			<th>Alsintan</th>

			<th>Jlh.Unit</th>

			<th>Tahun</th>

			<!-- <th>Keterangan</th> -->

			<?php if ($session->get('level')=='Admin' OR $session->get('level')=='Kecamatan'){?>

			<th>Aksi</th>

			<?php }?>

		</tr>

	</thead>

	<tbody>

		<?php

			$no=1;



			if ($session->get('level')=='Admin' OR $session->get('level')=='User'){

				$db->orderBy("kecamatan,desa","asc");

				$getdata=$db->ObjectBuilder()->get('alsintan');

			}else{

				$db->where("kecamatan",$session->get('lokasi'));

				$db->orderBy("kecamatan,desa","asc");

				$getdata=$db->ObjectBuilder()->get('alsintan');

			}

			foreach ($getdata as $row) {

				?>

					<tr>

						<td><?=$no?></td>

						<td><?=$row->kecamatan?></td>

						<td><?=$row->desa?></td>

						<td><?=$row->nama_kelompok?></td>

						<td><?=$row->nama_ketua?></td>

						<td><?=$row->alsintan?></td>

						<td align="center"><?=$row->jumlah_unit?></td>

						<td align="center"><?=$row->tahun?></td>

						<!-- <td><?=$row->keterangan?></td> -->

						<?php if ($session->get('level')=='Admin' OR $session->get('level')=='Kecamatan'){?>

						<td>

							<a href="<?=url($url.'&ubah&id='.$row->id)?>" class="btn btn-info"><i class="fa fa-edit"></i> Ubah</a>

							<a href="<?=url($url.'&hapus&id='.$row->id)?>" class="btn btn-danger" onclick="return confirm('Hapus data?')"><i class="fa fa-trash"></i> Hapus</a>

						<?php }?>

						</td>

					</tr>

				<?php

				$no++;

			}



		?>

	</tbody>

</table>

<?=content_close()?>

<?php } ?>